Skip to content
Skip to main content
GET
https://api.us.nylas.com/v3/grants/{grant_id}/scheduling/configurations/{configuration_id}/group-events

Get all group events

Returns all group events within the given time range, from the specified Configuration.

NYLAS API KEY

Parameters

Path parameters

grant_id*string

The ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

configuration_id*string

The ID of the Configuration object to access.

Query parameters

calendar_id*string

Filter for the specified calendar ID.

(Not supported for iCloud) You can use primary to query the user's primary calendar.

For an Agent Account, you can also pass the account's own email address, in any letter case, to query its primary calendar. Any other email address returns a 400 error.

start_time*integer

Filter for events that start at or after the specified time, in seconds using the Unix timestamp format. For example, if you filter for events that start at 9:00a.m. and the calendar includes an event that runs from 8:30–9:30a.m., Nylas returns that event.

end_time*integer

Filter for events that end at or before the specified time, in seconds using the Unix timestamp format. For example, if you filter for events that end at 5:00p.m. and the calendar includes an event that runs from 4:30–5:30p.m., Nylas returns that event.

Responses

request_idstring

The request ID.

dataarray<object>
next_cursorstringnullable

A cursor pointing to the next page of results for the request.

GEThttps://api.us.nylas.com/v3/grants/{grant_id}/scheduling/configurations/{configuration_id}/group-events

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

The ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

configuration_idrequiredstring

The ID of the Configuration object to access.

calendar_idrequiredstring

Filter for the specified calendar ID. (Not supported for iCloud) You can use primary to query the user's primary calendar. For an Agent Account, you can also pass the account's own email address, in any letter case, to query its primary calendar. Any other email address returns a 400 error.

start_timerequiredinteger

Filter for events that start at or after the specified time, in seconds using the Unix timestamp format. For example, if you filter for events that start at 9:00a.m. and the calendar includes an event that runs from 8:30–9:30a.m., Nylas returns that event.

end_timerequiredinteger

Filter for events that end at or before the specified time, in seconds using the Unix timestamp format. For example, if you filter for events that end at 5:00p.m. and the calendar includes an event that runs from 4:30–5:30p.m., Nylas returns that event.